using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RezerveBeliteHavaPeimaCS
{
    public partial class frmMdi : Form
    {
        public frmMdi()
        {
            InitializeComponent();
        }

        private void ShowNewForm(object sender, EventArgs e)
        {
            frmCostumers frm = new frmCostumers();
            frm.MdiParent = this;
            frm.Show();
        }

        private void OpenFile(object sender, EventArgs e)
        {
            frmStaffs frm = new frmStaffs(); 
            frm.MdiParent = this;
            frm.Show();
        }

        private void SaveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {

        }

        private void ExitToolsStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
            this.Close();
        }

        private void CutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // TODO: Use System.Windows.Forms.Clipboard to insert the selected text or images into the clipboard
        }

        private void CopyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // TODO: Use System.Windows.Forms.Clipboard to insert the selected text or images into the clipboard
        }

        private void PasteToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // TODO: Use System.Windows.Forms.Clipboard.GetText() or System.Windows.Forms.GetData to retrieve information from the clipboard.
        }

        private void ToolBarToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmUserjadid frm = new frmUserjadid();
            frm.MdiParent = this;
            frm.Show();
        }

        private void StatusBarToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmChangpassword frm = new frmChangpassword();
            frm.MdiParent = this;
            frm.Show();
        }

        private void CascadeToolStripMenuItem_Click(object sender, EventArgs e)
        {
           
        }

        private void TileVerticleToolStripMenuItem_Click(object sender, EventArgs e)
        {
            
        }

        private void TileHorizontalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rptBelithafrm frm = new rptBelithafrm();
            frm.MdiParent = this;
            frm.Show();
        }

        private void ArrangeIconsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.ArrangeIcons);
        }

        private void CloseAllToolStripMenuItem_Click(object sender, EventArgs e)
        {
            foreach (Form childForm in MdiChildren)
            {
                childForm.Close();
            }
        }

        private void undoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmServiceDef frm = new frmServiceDef();
            frm.MdiParent = this;
            frm.Show();
        }

        private void redoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmRezerveSale frm = new frmRezerveSale();
            frm.MdiParent = this;
            frm.Show();
        }

        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("سیستم رزرو و فروش بلیط - نسخه 1.1");
        }

        private void paarvazHaieTarifiToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rptKhadamatefrm frm = new rptKhadamatefrm();
            frm.MdiParent = this;
            frm.Show();
        }

        private void moshtarianListToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rptMoshtarianfrm frm = new rptMoshtarianfrm();
            frm.MdiParent = this;
            frm.Show();
        }

        private void karmandanListToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rptStafsfrm frm = new rptStafsfrm();
            frm.MdiParent = this;
            frm.Show();
        }

        private void frmMdi_FormClosed(object sender, FormClosedEventArgs e)
        {
            Application.Exit();
        }

        private void servTypDefToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmServiceTypes frm = new frmServiceTypes();
            frm.MdiParent = this;
            frm.Show();
        }

        private void quCustomerStatToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmCusturersStatus frm = new frmCusturersStatus();
            frm.MdiParent = this;
            frm.Show();
        }


    }
}
